# Create retirements Allows creation retirements in bulk Endpoint: POST /retirements/account/{AccountIdentifier}/program/{RetirementProgramCode}/action/create Version: 1.0.0-beta Security: bearerToken ## Path parameters: - `AccountIdentifier` (string, required) Account identifier Example: "098B0A25" - `RetirementProgramCode` (string, required) Program code allowed for retirements Enum: "ACR", "CAR", "VCS", "NEPOOL", "NAR", "NYGATS", "M_RETS", "MIRECS", "NCRETS" ## Request fields (application/json): - `dryRun` (boolean) If true it will only do the validation of the request but not to create the retirements - `retirements` (array) - `retirements.ein` (string, required) - `retirements.quantity` (integer, required) - `retirements.taxLotSelectionStrategy` (string) Enum: "NEWEST_TAX_LOT_FIRST", "OLDEST_TAX_LOT_FIRST", "LARGEST_TAX_LOT_FIRST", "SMALLEST_TAX_LOT_FIRST" - `retirements.quantityPerTaxLot` (array) - `retirements.quantityPerTaxLot.taxLotId` (integer, required) - `retirements.externalIdentifier` (string) - `attributes` (object) ## Response 200 fields (application/json): - `retirementIdentifiers` (array) - `batchIdentifier` (string) EMA retirement batch identifier ## Response 400 fields (application/json): - `code` (string) Enum: "INVALID_PROGRAM", "INVALID_REQUEST", "EMPTY_REQUEST", "INVALID_ATTRIBUTES", "INVALID_RETIREMENTS" - `attributeErrors` (array) - `attributeErrors.message` (string) - `attributeErrors.field` (string) - `attributeErrors.value` (string) - `retirementErrors` (array) ## Response 401 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string)